{% if dns_servers %}option domain-name-servers {{ dns_servers }};{% endif %}
{% if domain %}option domain-name "{{ domain }}";{% endif %}

default-lease-time 600;
max-lease-time 7200;
authoritative;

subnet {{ subnet }} netmask {{ netmask }} {
  range {{ range_start }} {{ range_end }};
  {% if dns_servers %}option domain-name-servers {{ dns_servers }};{% endif %}
  {% if domain %}option domain-name "{{ domain }}";{% endif %}
  {% if gateway %}option routers {{ gateway }};{% endif %}
}

{% if dns_auto_add %}
ddns-updates           on;
ddns-update-style      interim;
ignore                 client-updates;
update-static-leases   on;

key {{ domain }} {
  algorithm hmac-md5;
  secret {{ domain_key }};
};

zone example.com. {
  primary {{ dns_ip }};
  key {{ domain }};
}
{%endif%}
